package com.ruoyi.ss.storeStaff.domain;

import com.ruoyi.common.annotation.Sensitive;
import com.ruoyi.common.enums.DesensitizedType;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author wjh
 * 2024/11/13
 */
@Data
public class StoreStaffVO extends StoreStaff{

    @ApiModelProperty("店铺名称")
    private String storeName;

    @ApiModelProperty("用户名称")
    @Sensitive(desensitizedType = DesensitizedType.USERNAME)
    private String userName;

    @ApiModelProperty("商户ID")
    private Long mchId;

    // TODO 月收入
    @ApiModelProperty("月收入")
    private BigDecimal monthIncome;

    // TODO
    @ApiModelProperty("设备数")
    private Long deviceCount;

}
